# Lead Designer

<p class="description">You will be accountable for MUI's design execution and manage a small team of designers.</p>

## Details of the Role

- Location: Remote (preference for UTC-6 to UTC+5).
- Type of work: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501#494af1f358794028beb4b7697b5d3102)).
- Level: [4 or above](https://docs.google.com/spreadsheets/d/18VvbVCNBRWu-QYPncBl5IWTXTOpD68UQsLsymBvfm88/edit#gid=0).
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About the company

MUI started with Material UI, the most successful React implementation of Google's Material Design.
We have gained a large following, thanks to our focus on Material Design fidelity, our obsession with details, on offering a large number of components, our community engagement, and by carefully improving the DX.
Today, countless teams and organizations rely on our open-source libraries to build their design system.

A couple of years ago, we started to expand our suite of products.
We released [MUI X](https://mui.com/x/), a collection of advanced components; [MUI Design kits](https://mui.com/design-kits/), the MUI components available for Figma, Sketch, etc.; and also host [Templates](https://mui.com/templates/), a set of pre-built UI kits.
We've seen rapid growth with all of them (2-3x per year) and we have more to come.
We are building [a low-code platform](https://mui.com/toolpad/) for developers to significantly increase the speed and lower the barrier for creating simple CRUD/dashboard UIs with MUI.

We are a fully distributed team, spread across multiple time zones.
We work mainly asynchronously, relying mostly on written collaboration.
Every contributor has the freedom to define how they work — the rest of us won't know what you're doing day-to-day unless you tell us.
For additional details about the MUI team and culture, you can check our [careers](https://mui.com/careers/) and [about](https://mui.com/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

Both our open-source community and our premium products are growing fast (x2 YoY).
We need talented people to keep that going!

We are aiming to make high-end design accessible to the many, empowering developers that lack access to a designer as well as saving time for designers with a source they can trust.
[According to our last survey](https://mui.com/blog/2021-developer-survey-results/#what-are-your-most-important-criteria-for-choosing-a-ui-library), the quality of the design execution (UX & UI) is the most important criteria used by developers & designers to pick their next UI library.

### Why this is interesting

Our solution empowers React developers to build awesome applications faster – we see millions of developers on MUI's docs every year, one million a month.

But while we are [the leading](https://tsh.io/state-of-frontend/#over-the-past-year-which-of-the-following-design-systems-was-your-favorite-go-to-solution) UI design system in the frontend space, the adoption of MUI is only at 25%. More importantly, the challenges of developers and designers to solve when creating UIs go way beyond the ones of design systems.
We envision a future where MUI becomes the default toolkit for web developers to create UIs.
It's why we started MUI Base, Joy UI, and MUI Toolpad. Design is key to achieving this goal.

## About the role

### What you'll do on a day-to-day basis

Depending on the day, you'll:

- Ensure high-quality UI and UX across teams, libraries, components, and product strategy
- Collaborate with product management and engineering to ensure that design work is aligned with business goals and user needs
- Create design concepts, prototypes, and high-fidelity mockups for projects on the X, Core, and Toolpad teams
- Update and implement new components on the Core, X, and Toolpad teams
- Develop and maintain MUI's design system and style guide
- Oversee the design kits, ensuring they're aligned with engineering implementation

As a team leader, you will:

- Manage the design process, including user research, user flows, and user testing
- Review design work and provide feedback to ensure overall design quality and consistency, with consideration to both UI and UX
- Set goals, priorities, and distribute tasks for the design team
- Provide mentorship and support to the design team members
- Hire and retain a great team

## About you

We're looking for someone with an expert eye for visual and UX design. You have enough development skills (C, JSX) to implement the designed interfaces. Details matter to you.

### Skills you should have

- **Expert-level knowledge of graphic design**. You can create great-looking UIs. You spot small kerning issues without even paying attention which makes you care about the details more than most people.
- **Expert-level knowledge of UX design**. You can build intuitive UIs, both at the scope of an application and of a component micro-interaction.
- **Enough development skills to implement the designed interfaces**. Our React engineers are often busy implementing complex components. We are looking for somebody with enough CSS-in-JS and JSX skills to be able to deeply understand what's the process like. The objective is to a. better understand the product, b. improve the collaboration with the engineers (the implementation is all that matters for end-users) and c. occasionally not depend on them to implement the design.
- **Strong written and verbal communication skills**. As part of the team, you'll interface both directly and indirectly with community members and enterprise customers, and contribute to user documentation. Clear communication is fundamental in creating intuitive and compelling resources.
- **Management of a design team**. Whether formally or informally, you have shown that you are a design leader and can provide guidance and support to other designers.

### What would be nice if you had, but isn't required

- **You've contributed to a design system before**. You have worked on a library of components in the past, maybe for internal usage in your company.

## Benefits & Compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person that can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](https://mui.com/careers/#perks-amp-benefits) page.

## How to apply?

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/4ea9d324-3350-48d5-bfab-706ebfc23ed2/application?utm_source=ZNRrPGBkqO)
