# Product Marketing Manager

<p class="description">You will own the marketing efforts at MUI.</p>

## Details of the Role

- Location: Remote (preference for UTC-6 to UTC+5).
- Type of work: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501#494af1f358794028beb4b7697b5d3102)).
- Level: _No ladders created yet_.
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About the company

MUI started with Material UI, the most successful React implementation of Google's Material Design.
We have gained a large following, thanks to our focus on Material Design fidelity, our obsession with details, on offering a large number of components, our community engagement, and by carefully improving the DX.
Today, countless teams and organizations rely on our open-source libraries to build their design system.

A couple of years ago, we started to expand our suite of products.
We released [MUI X](https://mui.com/x/), a collection of advanced components; [MUI Design kits](https://mui.com/design-kits/), the MUI components available for Figma, Sketch, etc.; and also host [Templates](https://mui.com/templates/), a set of pre-built UI kits.
We've seen rapid growth with all of them (2-3x per year) and we have more to come.
We are building [a low-code platform](https://mui.com/toolpad/) for developers to significantly increase the speed and lower the barrier for creating simple CRUD/dashboard UIs with MUI.

We are a fully distributed team, spread across multiple time zones.
We work mainly asynchronously, relying mostly on written collaboration.
Every contributor has the freedom to define how they work — the rest of us won't know what you're doing day-to-day unless you tell us.
For additional details about the MUI team and culture, you can check our [careers](https://mui.com/careers/) and [about](https://mui.com/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

Both our open-source community and our premium products are growing fast (x2 YoY).
We need talented people to keep that going!

Up to this point we have operated:

- on the open-source side, through word of mouth and SEO
- on the commercial side, through inbound leads with $0 investment in marketing

We believe that we could do a lot better. This is a white canvas opportunity at the company, this role is critical to our growth plans. Product Marketing will be a cross-functional role at MUI, partnering with Design, Product, Developer Experience and Sales.

### Why this is interesting

In this role, you will be a founding member of the marketing team and a passionate voice of our users, customers and prospects. This is a full stack product marketing role in that you will support messaging and positioning, sales materials and training, web copy, customer collateral and presentations, and act as the subject matter expert for the value of our product among the enterprise and SMB audiences.

Our solution empowers React developers to build awesome applications faster – we see millions of developers on MUI's docs every year, one million a month.

## About the role

### What you'll do on a day-to-day basis

Depending on the day, you'll:

- **Own the commercial voice of MUI**. Define, document, and evolve the way we communicate with our customers, users, and the market/public.
- **Personas**. Build deep knowledge and understanding of MUI's technical buyer personas and the journey of our enterprise prospects via market research, prospect/customer conversations, and internal conversations.
- **Market research**. Use customer and competitive research to tailor effective messaging to our Enterprise audience.
- **Content**. Plan and create impactful marketing materials mapped to buying journey. Generate high-quality content for customers including website copy/landing pages, blogs, webinar content, use cases, customer stories, showcases, and more.
- **Paid channels**. Build and help execute marketing campaigns from the bottom up (identify goals, risks, audience, messages, and tactics), e.g. we can explore SEA & conference sponsoring.
- **Sales**. Partner with the Sales team to create effective sales enablement materials.
- **Events** Potentially: Lead corporate event programs that result in relationship building, lead/pipeline generation and acceleration, customer engagement, retention, and brand awareness.

## About you

### Skills you should have

- A technical background.
- Experience marketing to software developers.
- 2+ years experience of B2B product marketing.
- As the first role, you'll need to bring an entrepreneurial, iterative mindset and be comfortable driving for clarity in ambiguous situations. When this is a success, you'll have an opportunity to help build the team.
- Proven ability to be self-directed and work with limited supervision.
- Passionate, self-starter with a can-do attitude. You're eager to jump in and get things done but don't get flustered in a fast-paced and often changing environment. Always willing to roll up your sleeves and get scrappy.
- Strong critical thinker who feels comfortable pouring over analytics to make data-driven decisions, and explaining those decisions to leadership with the data.
- Empathy: for our customers, for the team, and for yourself.
- Outstanding written English communication skills. An ability to explain and translate complex technical concepts into simple and intuitive communications.

## Benefits & Compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person that can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](https://mui.com/careers/#perks-amp-benefits) page.

## How to apply?

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/7811fc99-08b2-4fb3-b6c3-6af15fc7467a/application?utm_source=ZNRrPGBkqO)
